Bug 827501 - display brightness control broken in FC16/FC17 on HP dm1z laptop
display brightness control broken in FC16/FC17 on HP dm1z laptop
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
17
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 12:06 EDT by Ed Mann
Modified: 2013-08-01 06:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:10:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Mann 2012-06-01 12:06:16 EDT
Description of problem:
I have a HP dm1z laptop. The brightness control buttons used to work on FC16. But after a few updates, it stopped working. When dm1z is idle, display dimming works properly. But when running on battery, I like to dim it as much as possible. But the brightness control buttons on the keyboard no longer works after kernel update on FC16. Just installed FC17, the problem persists. The display is always bright and drains the battery very quickly. Even when running on AC, I still cannot dim the display.

Version-Release number of selected component (if applicable):
"uname -r" shows this:
3.3.7-1.fc17.x86_64

How reproducible:
100% reproducible

Steps to Reproduce:
1. Just power on laptop and push the brightness control buttons on keyboard.
2.
3.
  
Actual results:
Nothing happens

Expected results:
Display should brighten or dim.

Additional info:
Comment 1 Ed Mann 2012-09-23 10:41:50 EDT
This problem occurs in KDE. When login using Gnome, it works fine.
Comment 2 Fedora End Of Life 2013-07-03 23:06:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 06:10:28 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.